KoMorphData (Lucene 10.5.1 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko.dict, interface: KoMorphData

Package org.apache.lucene.analysis.ko.dict

# Interface KoMorphData

All Superinterfaces:
  `MorphData`

public interface KoMorphData extends MorphData
Represents Korean morphological information.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `KoMorphData.Morpheme`
  A morpheme extracted from a compound token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `POS.Tag`
  `getLeftPOS(int morphId)`
  Get the left `POS.Tag` of specfied word.
  `KoMorphData.Morpheme[]`
  `getMorphemes(int morphId, char[] surfaceForm, int off, int len)`
  Get the morphemes of specified word (e.g.
  `POS.Type`
  `getPOSType(int morphId)`
  Get the `POS.Type` of specified word (morpheme, compound, inflect or pre-analysis)
  `String`
  `getReading(int morphId)`
  Get the reading of specified word (mainly used for Hanja to Hangul conversion).
  `POS.Tag`
  `getRightPOS(int morphId)`
  Get the right `POS.Tag` of specfied word.

  ### Methods inherited from interface org.apache.lucene.analysis.morph.MorphData

  `getLeftId, getRightId, getWordCost`

- ## Method Details

  - ### getPOSType

    POS.Type getPOSType(int morphId)
    Get the `POS.Type` of specified word (morpheme, compound, inflect or pre-analysis)

  - ### getLeftPOS

    POS.Tag getLeftPOS(int morphId)
    Get the left `POS.Tag` of specfied word.

    For `POS.Type.MORPHEME` and `POS.Type.COMPOUND` the left and right POS are the same.

  - ### getRightPOS

    POS.Tag getRightPOS(int morphId)
    Get the right `POS.Tag` of specfied word.

    For `POS.Type.MORPHEME` and `POS.Type.COMPOUND` the left and right POS are the same.

  - ### getReading

    String getReading(int morphId)
    Get the reading of specified word (mainly used for Hanja to Hangul conversion).

  - ### getMorphemes

    KoMorphData.Morpheme[] getMorphemes(int morphId, char[] surfaceForm, int off, int len)
    Get the morphemes of specified word (e.g. 가깝으나: 가깝 + 으나).